require 'yaml'

class Config

  DEFAULT_CONFIG = 'data/defaults.yaml'

  def initialize(config_path)
    @data = YAML::load_file(DEFAULT_CONFIG)

    if File.exists?(config_path)
      @data.merge!(YAML::load_file(config_path))
    end
  end

  def get(key, depth = 0)
    bits = key.split('.')
    value = @data

    bits.each do |bit|
      value = value[bit]
    end

    return value
  end

end
